---
title: "Cancels a plan switch scheduled for the period's end, so the plan renews as it is. A store slot's removal is cancelled on its own. Only a member with full access cancels it."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › organization

`DELETE /v1/stores/{store}/organization/plan/change`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `organization:write`

## Path parameters

- `store` (`cancelPlanChange.path.store`; string, required) — The store's id.

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/organization/plan/change' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/organization/plan/change';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/organization/plan/change"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

Cancels a plan switch scheduled for the period's end, so the plan renews as it is. A store slot's removal is cancelled on its own. Only a member with full access cancels it.

#### Example

```json
{
  "plan": {
    "plan": "string",
    "name": "string",
    "tier": "string",
    "price_ref": "string",
    "interval": "string",
    "quantity": 0,
    "scheduled_quantity": 0,
    "scheduled_plan": "string",
    "scheduled_price_ref": "string",
    "scheduled_interval": "string",
    "scheduled_releases": 0,
    "scheduled_at": "string",
    "pending_switch": {
      "plan": "string",
      "name": "string",
      "interval": "string"
    },
    "storage_bytes": 0,
    "member_limit": 0,
    "transcription_minutes": 0,
    "status": "string",
    "valid_from": "string",
    "valid_until": "string",
    "cancelled_at": "string",
    "trial_ends_at": "string",
    "source_kind": "string",
    "updated_at": "string"
  }
}
```

- `plan` (`cancelPlanChange.response.200.plan`; object, required)
  - `plan` (`cancelPlanChange.response.200.plan.plan`; string, required)
  - `name` (`cancelPlanChange.response.200.plan.name`; any of, required)
    - any of: `string`, `null`
  - `tier` (`cancelPlanChange.response.200.plan.tier`; string, required)
  - `price_ref` (`cancelPlanChange.response.200.plan.price_ref`; any of, required)
    - any of: `string`, `null`
  - `interval` (`cancelPlanChange.response.200.plan.interval`; any of, required)
    - any of: `string`, `null`
  - `quantity` (`cancelPlanChange.response.200.plan.quantity`; number, required)
  - `scheduled_quantity` (`cancelPlanChange.response.200.plan.scheduled_quantity`; any of, required)
    - any of: `number`, `null`
  - `scheduled_plan` (`cancelPlanChange.response.200.plan.scheduled_plan`; any of, required)
    - any of: `string`, `null`
  - `scheduled_price_ref` (`cancelPlanChange.response.200.plan.scheduled_price_ref`; any of, required)
    - any of: `string`, `null`
  - `scheduled_interval` (`cancelPlanChange.response.200.plan.scheduled_interval`; any of, required)
    - any of: `string`, `null`
  - `scheduled_releases` (`cancelPlanChange.response.200.plan.scheduled_releases`; number, required)
  - `scheduled_at` (`cancelPlanChange.response.200.plan.scheduled_at`; any of, required)
    - any of: `string`, `null`
  - `pending_switch` (`cancelPlanChange.response.200.plan.pending_switch`; any of, required)
    - any of: `object`, `null`
  - `storage_bytes` (`cancelPlanChange.response.200.plan.storage_bytes`; any of, required)
    - any of: `number`, `null`
  - `member_limit` (`cancelPlanChange.response.200.plan.member_limit`; any of, required)
    - any of: `number`, `null`
  - `transcription_minutes` (`cancelPlanChange.response.200.plan.transcription_minutes`; any of, required)
    - any of: `number`, `null`
  - `status` (`cancelPlanChange.response.200.plan.status`; string, required)
  - `valid_from` (`cancelPlanChange.response.200.plan.valid_from`; any of, required)
    - any of: `string`, `null`
  - `valid_until` (`cancelPlanChange.response.200.plan.valid_until`; any of, required)
    - any of: `string`, `null`
  - `cancelled_at` (`cancelPlanChange.response.200.plan.cancelled_at`; any of, required)
    - any of: `string`, `null`
  - `trial_ends_at` (`cancelPlanChange.response.200.plan.trial_ends_at`; any of, required)
    - any of: `string`, `null`
  - `source_kind` (`cancelPlanChange.response.200.plan.source_kind`; string, required)
  - `updated_at` (`cancelPlanChange.response.200.plan.updated_at`; any of, required)
    - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`cancelPlanChange.response.default.type`; string, required)
  - format `uri`
- `title` (`cancelPlanChange.response.default.title`; string, required)
- `status` (`cancelPlanChange.response.default.status`; integer, required)
- `detail` (`cancelPlanChange.response.default.detail`; string, required)
- `code` (`cancelPlanChange.response.default.code`; string, optional)
- `context` (`cancelPlanChange.response.default.context`; object, optional)
- `reached_core` (`cancelPlanChange.response.default.reached_core`; boolean, optional)
- `core_answer` (`cancelPlanChange.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/cancel-plan-change/index.md
